Subject: bug#27761: Crash while using proof-general/company-coq on OS X

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Mon, 07 Aug 2017 15:16:08 +0900

>>>>> On Fri, 04 Aug 2017 11:24:59 +0300, Eli Zaretskii <[email-masked]> said:

> But even if these band-aids do succeed in preventing the infinite
> recursion, I'd like to understand how did we arrive at the situation
> where the string position is 6 while the string being displayed is "
> 163", a 4-character string.  If you can step through the code and
> describe what you see, I think it will help to find the real
> culprit.

I managed to create a simple reproducible procedure for (probably
related) infinite recursion.

1. % emacs -Q
2. (setq bidi-redisplay-reordering nil) C-j
3. (prettify-symbols-mode) C-j
4. (linum-mode) C-j
5. Type "lambda" (without quotations).

I hope this is also reproducible on your environment.

			     YAMAMOTO Mitsuharu
			[email-masked]